package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @author lily
 * @date 2019/4/19 11:32
 */
public class BookClassifyBuyRecord extends BaseEntity {

    private Long bookId;

    private Long channelId;

    private Long bookQrcodeId;

    private Long productId;

    private Long wechatUserId;

    private Long productSpecId;

    private Long classifyId;

    private Long id;

    private BigDecimal price;

    private String orderNumber;

    public Long getBookQrcodeId() {
        return bookQrcodeId;
    }

    public void setBookQrcodeId(Long bookQrcodeId) {
        this.bookQrcodeId = bookQrcodeId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public Long getWechatUserId() {
        return wechatUserId;
    }

    public void setWechatUserId(Long wechatUserId) {
        this.wechatUserId = wechatUserId;
    }

    public Long getProductSpecId() {
        return productSpecId;
    }

    public void setProductSpecId(Long productSpecId) {
        this.productSpecId = productSpecId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    @Override
    public String toString() {
        return "BookClassifyBuyRecord{" +
                "bookId=" + bookId +
                ", channelId=" + channelId +
                ", bookQrcodeId=" + bookQrcodeId +
                ", productId=" + productId +
                ", wechatUserId=" + wechatUserId +
                ", productSpecId=" + productSpecId +
                ", classifyId=" + classifyId +
                ", id=" + id +
                ", price=" + price +
                ", orderNumber='" + orderNumber + '\'' +
                '}';
    }
}
